%define name	pconsole
%define	version 1.0
%define release	%mkrel 15

Summary:	Administrative tool for working with clusters nodes
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Remote access
URL:		http://www.heiho.net/pconsole/
Source:		http://www.xs4all.nl/~walterj/pconsole/%{name}-%{version}.tar.gz
patch0:		%{name}.sh-iconic.bz2
patch1:		%{name}-sh.patch.bz2
patch2:		%{name}-makefile.patch.bz2
Requires:	openssh-clients, xterm
Provides:	%{name}-%{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}

%description
pconsole allows you to connect to each node of your cluster 
simultaneously, and you can type your administrative commands 
in a specialized window that 'multiplies' the input to each 
to the connections you have opened. pconsole is best run from 
within X Windows, although it is possible to employ it without 
X (in console mode) as well.

%prep
rm -rf ${buildroot}
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
%configure --prefix=%{buildroot}/usr
make

%install
myname=`id -un`
mygroup=`id -gn`
%makeinstall INSTALL_USER=$myname INSTALL_GROUP=$mygroup

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc ChangeLog README.pconsole public_html/pconsole.html public_html/images/*
%{_bindir}/pconsole
%attr(755,root,root)%{_bindir}/pconsole
%attr(755,root,root)%{_bindir}/pconsole_wrap



%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-15mdv2009.0
+ Revision: 255141
- rebuild

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-13mdv2008.1
+ Revision: 171016
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0-12mdv2008.1
+ Revision: 131062
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import pconsole


* Mon Mar 21 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.0-12mdk
- rebuild

* Tue Jul 13 2004 Erwan Velu <erwan@mandrakesoft.com> 1.0-11mdk
- removing ssh.sh script
- using _wrap for real pconsole
- renaming pconsole.sh in pconsole

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0-10mdk
- rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-9mdk
- rebuild

* Tue Aug 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0-8mdk
- build with gcc 3.2
* Thu Jul 16 2002 Goneri Le Bouder <glebouder@mandrakesoft.com> 1.0-7mdk
- Now new windows start iconic
* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0-4mdk
- Build on 8.2 with 2.96
* Fri Jul  5 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0-4mdk
- add require xterm
* Fri May 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0-3mdk
- build gcc 3.1
* Mon Apr 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0-2mdk
- add ssh.sh
* Mon Apr 29 2002 Antoine Ginies <aginies@mandrakesoft.com> 1.0-1mdk
- first release for Mandrakesoft
